#!/bin/sh
##
# This is a sample test program to test the functionality of the Impact 4.0 
# WebService listener. It assumes the following:
#    1) There is a policy called WSListenerTestPolicy defined in Impact that
#       will be run by executing this program.
#    2) This policy takes one user parameter called "PARAM1".
#    3) The output that needs to be sent back from this policy execution will
#       be defined in a context variable called WSListenerResult. This example
#       policy is also packaged.
# The endpoint info needed to invoke this program can be obtained by running
# the $NCHOME/impact/bin/nci_findendpoint.sh script which returns the soap 
# endpoint of the Webservice listener.
#
##



case $# in
0) echo "Invalid Arguments for WebserviceTest.sh script, should be "; echo "WebServiceTest.sh serverName soapendpoint [userid] [password]";exit;;
1) echo "Invalid Arguments for WebserviceTest.sh script, should be "; echo "WebServiceTest.sh serverName soapendpoint [userid] [password]";exit;;
esac


pwddir=`pwd`

#JDK 5.0 (Tiger) or later must be available from PATH.
java  -Dname=$1 -cp $pwddir/wslistener51.jar:$pwddir/wslib.jar com.micromuse.response.server.soapserver.WSTestDL $2 $3 $4



